Subject: Re: [bug#30894] Submission of patch for Add r-abc

From: Sahithi Yarlagadda <[email-masked]>
Date: Thu, 29 Mar 2018 16:30:48 +0530

Hi

I am planning to do this.

I will submit the Package Description for r-abc-data. Which builds and
create a derivative in gnu/store. Later i will send the abc package
description, where the build finds necessary data and does a successful
build.

On Thursday 29 March 2018 04:20 PM, Sahithi Yarlagadda wrote:
> Thanks Ricardo
>
> When i am building r-abc  I found errors with the following.
>
>   (propagated-inputs
>      `(("r-abc-data" ,r-abc-data)
>
>
> abc.data is the upstream name of abc-data. I am figuring out how to use
> it. I have searched for various package description to compare the
> usage, but in vain. Can u help me what attribute is to be given to make
> it work.
>
>
>
> On Thursday 29 March 2018 04:02 PM, Ricardo Wurmus wrote:
>> Hi Sahithi,
>>
>>> 1) Cloning the Source
>>>
>>> 2) Running guix environment guix
>>>
>>> 3) ./bootstrap
>>>
>>> 4) ./configure --localstatedir=/var
>> You need to perform these steps only once.
>>
>>> 5) make
>>>
>>> 6) Make Changes to the cran.scm file
>>>
>>> 7) Build using ./pre-inst-env guix build <package>
>>>
>>> 8) If build is success, format the patch and submit the patch
>> I suggest running make again after making changes to any file in the
>> Guix source tree.  This way you can avoid the “.go file is older than
>> the .scm” messages.
>>
>>> *When i am planning to write a different package description, i am
>>> following this*
>>>
>>> 9) rebasing the patch
>>>
>>> 10) Pull for any changes
>>>
>>> 11) running the process from (2)
>> I’d do this instead:
>>
>>     git fetch origin  # fetch any upstream changes
>>     git stash         # hide my uncommitted local changes
>>     git rebase origin/master # rebase my local commits on top of upstream
>>     git stash pop     # apply my uncommitted local changes
>>     make              # compile .scm to .go
>>
>> Note that you should be inside of a suitable environment when running
>> “make”, so better do all of this after “guix environment guix”.
>>
>> --
>> Ricardo
>>
>> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
>> https://elephly.net
>>
>>
>>

-- 
Regards
Sahithi